<template>
  <header class="header">
    <div class="container header__container">
      <a class="logo header__logo" href="/">
        <img src="@/assets/logo.png" alt="logo" />
      </a>
      <nav class="menu">
        <ul class="menu__list">
          <li :key="i" class="menu__item" v-for="(item, i) in menu">
            <a href="#" class="menu__link" v-text="item"></a>
          </li>
        </ul>
      </nav>
    </div>
  </header>
</template>
<script>
export default {
  name: "HeaderComponent",
  data() {
    return {
      menu: ["Home", "Catalog", "Tenders", "Trade", "Web-Shop NL"],
    };
  },
};
</script>
<style scoped lang="scss">
.header {
  box-sizing: inherit;
  background-color: #c4c4c4;
  &__container {
    height: 60px;
    display: flex;
    padding-top: 8px;
    padding-bottom: 8px;
    align-items: center;
    box-sizing: inherit;
  }
  &__logo {
    margin-right: 95px;
    box-sizing: inherit;

    img {
      height: auto;
      max-width: 54px;
      display: block;
      box-sizing: inherit;
    }
  }
}
.menu {
  width: 100%;
  max-width: 485px;
  box-sizing: inherit;

  &__list {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    list-style-type: none;
    justify-content: space-between;
    box-sizing: inherit;
  }
  &__link {
    font-size: 16px;
    line-height: 21px;
    color: #000;
    text-decoration: none;
  }
}
</style>